[PATCH] Detect kernel bugs using drivers from staging

Bug #524167 reported by Leann Ogasawara on 2010-02-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: apport

The linux kernel has a set of drivers technically maintained in the kernel but they really are held in a staging area. The goal for a driver in staging is to eventually be included in the main kernel tree and not just the staging area. The Ubuntu kernel team enables many of the drivers in staging to get wider exposure and testing of these drivers so that developmental improvements can be made to eventually help bring these drivers closer to mainline inclusion.

As a result, the Ubuntu kernel team would find it helpful and beneficial if kernel bug reports filed with apport could detect and tag kernel bugs which are using a staging driver(s). Attached is a patch to the linux package hook to tag bugs with "staging" if a staging driver is in use and also include a list of the staging drivers in use. I've also inlined the patch below. Please consider including. Thanks in advance.

=== modified file 'data/package-hooks/source_linux.py'
--- data/package-hooks/source_linux.py 2009-11-05 13:12:35 +0000
+++ data/package-hooks/source_linux.py 2010-02-19 00:32:26 +0000
@@ -92,6 +92,13 @@
     attach_alsa(report)
     attach_wifi(report)

+ staging_drivers = re.findall("(\w+): module is from the staging directory", report['BootDmesg'])
+ staging_drivers.extend(re.findall("(\w+): module is from the staging directory", report['CurrentDmesg']))
+ if staging_drivers:
+ staging_drivers = list(set(staging_drivers))
+ report['StagingDrivers'] = ' '.join(staging_drivers)
+ report['Tags'] += ' staging'
+
     attach_file_if_exists(report, "/etc/initramfs-tools/conf.d/resume",
                       key="HibernationDevice")

ProblemType: Bug
Architecture: i386
CheckboxSubmission: 27199aa7e30bbcb25cde0f30adca2f2c
CheckboxSystem: 8baff8f3b5cdd90914588b077dfd5f83
CrashReports:
 600:0:0:75343:2010-02-17 18:17:00.000000000 -0800:2010-02-17 19:50:44.000000000 -0800:/var/crash/_usr_sbin_cron.0.crash
 600:0:0:626095:2010-02-17 19:41:02.000000000 -0800:2010-02-17 19:47:55.000000000 -0800:/var/crash/kexec-tools.0.crash
 600:1000:1000:32804:2010-02-18 16:22:37.000000000 -0800:2010-02-18 16:22:40.000000000 -0800:/var/crash/_usr_share_apport_apport-gtk.1000.crash
Date: Thu Feb 18 16:38:28 2010
DistroRelease: Ubuntu 10.04
Package: apport 1.12-0ubuntu5 [modified: usr/share/apport/package-hooks/source_linux.py]
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
SourcePackage: apport
Uname: Linux 2.6.32-13-generic i686

description: updated
tags: added: patch
Changed in apport (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) on 2010-02-22
Changed in apport (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.12.1-0ubuntu1

---------------
apport (1.12.1-0ubuntu1) lucid; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - launchpad.py: Do not keep escalating bugs, just escalate at the 10th
      duplicate.
    - Improve error message if a symptom script did not determine a package
      name. (LP: #503834)
    - general-hooks/generic.py: Fix crash on libGL check with empty
      StacktraceTop.
    - Review and clean up usage of chmod(). This fixes a small race condition
      in the Python exception hook where a local attacker could read the
      information from another user's crash report. (LP: #516029)
    - hookutils, package_versions(): Ignore "None" packages, for more robust
      package hooks. (LP: #518295)
  * debian/apport.install: Actually install the bash completion file.
    (LP: #218933)
  * Bump Standards-Version to 3.8.4 (no changes necessary).

  [ Leann Ogasawara ]
  * source_linux.py: Tag kernel bugs which utilize a driver from staging. Also
    provide the list of staging drivers in use. Prefix suspend/resume bug
    titles with "[STAGING]" if a staging driver was being used.
    (LP: #524174, #524167)
 -- Martin Pitt <email address hidden> Mon, 22 Feb 2010 21:58:16 +0100

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers